[Unit]
Description=Prometheus
Documentation=https://prometheus.io/docs/introduction/overview/
Wants=network-online.target
After=network-online.target

[Service]
Type=simple
User={{ prometheus_user }}
Group={{ prometheus_group }}
ExecReload=/bin/kill -HUP \$MAINPID
ExecStart={{ prometheus_bin }} \
  --config.file={{ prometheus_conf_dir }}/prometheus.yml \
  --storage.tsdb.path=/var/lib/prometheus \
  --web.console.templates={{ prometheus_conf_dir }}/consoles \
  --web.console.libraries={{ prometheus_conf_dir }}/console_libraries \
  --web.listen-address={{ prometheus_bind_addr }}:{{ prometheus_bind_port }} \
  --web.external-url={{ prometheus_ext_url }}

SyslogIdentifier=prometheus
Restart=always

[Install]
WantedBy=multi-user.target